
From: Mike Kravetz <kravetz@us.ibm.com>

This patch changes some of the default behavior in the ppc64 Kconfig file
that was recently changed/added to 2.6.12-rc2-mm1 by Dave Hansen in
preparation for SPARSEMEM.  Patch allows the display of both FLAT and
DISCONTIG models on pseries.  As before, default is DISCONTIG for SMP and
PSERIES and FLAT for others.

Signed-off-by: Mike Kravetz <kravetz@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/Kconfig |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/Kconfig~ppc64-kconfig-memory-models arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~ppc64-kconfig-memory-models	2005-04-26 01:24:11.037510312 -0700
+++ 25-akpm/arch/ppc64/Kconfig	2005-04-26 01:24:11.043509400 -0700
@@ -195,9 +195,16 @@ config HMT
 	  pSeries systems p620 and p660 have such a cpu type.
 
 config ARCH_DISCONTIGMEM_ENABLE
-	bool "Discontiguous Memory Support"
+	def_bool y
 	depends on SMP && PPC_PSERIES
 
+config ARCH_DISCONTIGMEM_DEFAULT
+	def_bool y
+	depends on ARCH_DISCONTIGMEM_ENABLE
+
+config ARCH_FLATMEM_ENABLE
+	def_bool y
+
 source "mm/Kconfig"
 
 config NUMA
_
